from fastapi import APIRouter, Query

from app.controllers.nlp.meeting import get_caught_result
from app.models.domain.nlp import MeetingInfoResponse

router = APIRouter()


@router.get('/meeting/info', response_model=MeetingInfoResponse)
async def catch_meeting_info(sentence: str = Query(..., max_length=50)):
    await get_caught_result(sentence)

    return {
        'Message': 'success'
    }
